## org.apache.fop.tools.xslt
Class XSLTransform

    java.lang.Object
      |
      +--org.apache.fop.tools.xslt.XSLTransform

public class XSLTransform
extends java.lang.Object

Constructor Summary
`XSLTransform()`

Method Summary
`static void` `transform(org.w3c.dom.Document xmlSource, java.io.InputStream xsl, org.w3c.dom.Document outputDoc)`
`static void` `transform(org.w3c.dom.Document xmlSource, java.lang.String xslURL, java.lang.String outputFile)`
`static void` `transform(java.lang.String xmlSource, java.lang.String xslURL, java.lang.String outputFile)`
`static void` `transform(java.lang.String xmlSource, java.lang.String xslURL, java.io.Writer outputWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTransform

    public XSLTransform()

Method Detail

### transform

    public static void transform(java.lang.String xmlSource,
                                 java.lang.String xslURL,
                                 java.lang.String outputFile)
                          throws java.lang.Exception

### transform

    public static void transform(org.w3c.dom.Document xmlSource,
                                 java.lang.String xslURL,
                                 java.lang.String outputFile)
                          throws java.lang.Exception

### transform

    public static void transform(java.lang.String xmlSource,
                                 java.lang.String xslURL,
                                 java.io.Writer outputWriter)
                          throws java.lang.Exception

### transform

    public static void transform(org.w3c.dom.Document xmlSource,
                                 java.io.InputStream xsl,
                                 org.w3c.dom.Document outputDoc)
                          throws java.lang.Exception

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.